[Solved] Cups fails to start at boot - cupsd error

Questions about applications and software
Forum rules
Before you post please read this

[Solved] Cups fails to start at boot - cupsd error

Postby Emerson Prado on Tue Oct 23, 2012 9:56 am

Hi all,
Today cups didn't start automatically at boot. I tried to start cupsd manually and got the following error:
/usr/sbin/cupsd: symbol lookup error: /usr/sbin/cupsd: undefined symbol: _ppdCacheGetFinishingOptions
There's a bug in the cups version 1.5.3-1 (currently present in latest repo), and it's fixed in 1.5.3-4: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677180
I installed cups 1.5.4 from source, and the cupsd error is gone. Can't reboot right now, because it's a work machine, but will test soon whether cups starts at boot normally again.
Best regards,
Emerson
Emerson Prado
Level 1
Level 1
 
Posts: 41
Joined: Thu Nov 04, 2010 1:42 pm

Linux Mint is funded by ads and donations.
 

Re: [Solved] Cups fails to start at boot - cupsd error

Postby Emerson Prado on Tue Oct 23, 2012 11:43 am

Shut down and restarted. Cups is up and running again.
That probably means cups should be upgraded in the repo. I'll probably file a bug. In the meantime, if someone wants to suggest tests, I'm willing to perform and report them.
Best regards,
Emerson
Emerson Prado
Level 1
Level 1
 
Posts: 41
Joined: Thu Nov 04, 2010 1:42 pm

Re: [Solved] Cups fails to start at boot - cupsd error

Postby Emerson Prado on Tue Oct 23, 2012 12:21 pm

Emerson Prado
Level 1
Level 1
 
Posts: 41
Joined: Thu Nov 04, 2010 1:42 pm

Re: [Solved] Cups fails to start at boot - cupsd error

Postby Monsta on Tue Oct 23, 2012 3:10 pm

First, this changelog states that the bug has been fixed in 1.5.3-2, not 1.5.3-4. This bug report update states the same. Maybe Martin Pitt made a typo while writing a closing message.

Second, the request to unblock the package and let it flow into Testing (it's needed during Testing freeze) has been fulfilled. You can wait a while (this page shows only 9 days have passed since the latest version hit unstable; must be at least 10), it will eventually get into Testing and therefore into the next Update Pack. Or get it from Unstable (but watch the dependencies, there are 19 binary packages made from a single source one :shock:)

Third, there are no fixes in LMDE (I mean Update Packs here) outside of the normal "take Testing snapshot -> test it -> release a new Update Pack" process. (Well, exceptions happen, but that was a grave issue.) Not until this idea gets some support. :)
Monsta
Level 8
Level 8
 
Posts: 2417
Joined: Fri Aug 19, 2011 3:46 am

Re: [Solved] Cups fails to start at boot - cupsd error

Postby Emerson Prado on Tue Oct 23, 2012 4:23 pm

Thanks! I asked a review of the fixed version number. So I'll wait for the UP to get 1.5.3-2.3 and test it. In the meanwhile, I'll keep the 1.5.3-4 compiled from source.
Emerson Prado
Level 1
Level 1
 
Posts: 41
Joined: Thu Nov 04, 2010 1:42 pm


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 4 guests